Skip to main content
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
model-quality-scheduler-query
Returns model quality scheduler query for the model.
curl --request POST \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/model-quality-scheduler-query \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "modelType": "<string>",
  "metricCheckConfigs": [
    {
      "alertsEnabled": true,
      "threshold": {
        "operator": "<string>",
        "lowerThreshold": 123,
        "upperThreshold": 123
      }
    }
  ],
  "startTimestamp": 123,
  "endTimestamp": 123
}
'
true

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Identifier for the model.

Body

application/json

Query config for Regression model

modelType
string
required

Type of the model

metricCheckConfigs
Metric Query config Common components · object[]
required
startTimestamp
number
endTimestamp
number

Response

The model quality scheduler query was saved successfully.

The response is of type boolean.